Subject: Re: [PATCH net-next v3 00/12] selftests: drv-net: convert GRO and Toeplitz tests to work for drivers in NIPA

From: [email-masked]
Date: Fri, 21 Nov 2025 02:30:22 +0000

Hello:

This series was applied to netdev/net-next.git (main)
by Jakub Kicinski <[email-masked]>:

On Wed, 19 Nov 2025 18:10:12 -0800 you wrote:
> Main objective of this series is to convert the gro.sh and toeplitz.sh
> tests to be "NIPA-compatible" - meaning make use of the Python env,
> which lets us run the tests against either netdevsim or a real device.
> 
> The tests seem to have been written with a different flow in mind.
> Namely they source different bash "setup" scripts depending on arguments
> passed to the test. While I have nothing against the use of bash and
> the overall architecture - the existing code needs quite a bit of work
> (don't assume MAC/IP addresses, support remote endpoint over SSH).
> If I'm the one fixing it, I'd rather convert them to our "simplistic"
> Python.
> 
> [...]

Here is the summary with links:
  - [net-next,v3,01/12] selftests: net: py: coding style improvements
    https://git.kernel.org/netdev/net-next/c/5cb7b71b76f1
  - [net-next,v3,02/12] selftests: net: py: extract the case generation logic
    https://git.kernel.org/netdev/net-next/c/80970e0fc07e
  - [net-next,v3,03/12] selftests: net: py: add test variants
    https://git.kernel.org/netdev/net-next/c/6ae67f115986
  - [net-next,v3,04/12] selftests: drv-net: xdp: use variants for qstat tests
    https://git.kernel.org/netdev/net-next/c/173227d7d6c4
  - [net-next,v3,05/12] selftests: net: relocate gro and toeplitz tests to drivers/net
    https://git.kernel.org/netdev/net-next/c/89268f7dbca1
  - [net-next,v3,06/12] selftests: net: py: support ksft ready without wait
    https://git.kernel.org/netdev/net-next/c/e02b52ecef5b
  - [net-next,v3,07/12] selftests: net: py: read ip link info about remote dev
    https://git.kernel.org/netdev/net-next/c/15011a57d0ec
  - [net-next,v3,08/12] netdevsim: pass packets thru GRO on Rx
    https://git.kernel.org/netdev/net-next/c/40dd789bc5a7
  - [net-next,v3,09/12] selftests: drv-net: add a Python version of the GRO test
    https://git.kernel.org/netdev/net-next/c/fdb0267d565a
  - [net-next,v3,10/12] selftests: drv-net: hw: convert the Toeplitz test to Python
    https://git.kernel.org/netdev/net-next/c/9cf9aa77a1f6
  - [net-next,v3,11/12] netdevsim: add loopback support
    https://git.kernel.org/netdev/net-next/c/358008f41d9b
  - [net-next,v3,12/12] selftests: net: remove old setup_* scripts
    https://git.kernel.org/netdev/net-next/c/bd28e5bddc1a

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html